Skip to main content
PUT
/
payments
/
custom-provider
/
capabilities
Custom-provider marketplace app update capabilities
curl --request PUT \
  --url https://services.leadconnectorhq.com/payments/custom-provider/capabilities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "supportsSubscriptionSchedules": true,
  "companyId": "Yjnwuduw83e8x30sm0",
  "locationId": "Yjnwuduw83e8x30sm0"
}
'
{
  "success": "true"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
supportsSubscriptionSchedules
boolean
required

Whether the marketplace app supports subscription schedules or not

Example:

true

companyId
string

Company id. Mandatory if locationId is not provided

Example:

"Yjnwuduw83e8x30sm0"

locationId
string

Location / Sub-account id. Mandatory if companyId is not provided

Example:

"Yjnwuduw83e8x30sm0"

Response

Successful response

success
boolean
required

Whether the custom provider capabilities are updated or not. true represents capabilities are updated

Example:

"true"

Last modified on March 4, 2026